Read Flow Run Graph V1
curl --request GET \
--url https://api.example.com/flow_runs/{id}/graphimport requests
url = "https://api.example.com/flow_runs/{id}/graph"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/flow_runs/{id}/graph', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"upstream_dependencies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input_type": "task_run"
}
],
"state": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"message": "Run started",
"data": "<unknown>",
"state_details": {
"flow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"child_flow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scheduled_time": "2023-11-07T05:31:56Z",
"cache_key": "<string>",
"cache_expiration": "2023-11-07T05:31:56Z",
"deferred": false,
"untrackable_result": false,
"pause_timeout": "2023-11-07T05:31:56Z",
"pause_reschedule": false,
"pause_key": "<string>",
"run_input_keyset": {},
"refresh_cache": true,
"retriable": true,
"transition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_parameters_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"traceparent": "<string>",
"deployment_concurrency_lease_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"expected_start_time": "2023-11-07T05:31:56Z",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"total_run_time": 123,
"estimated_run_time": 123,
"untrackable_result": true
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Flow Runs
Read Flow Run Graph V1
Get a task run dependency map for a given flow run.
GET
/
flow_runs
/
{id}
/
graph
Read Flow Run Graph V1
Headers
Path Parameters
The flow run id
Response
Successful Response
Show child attributes
Show child attributes
Represents the state of a run.
Show child attributes
Show child attributes
Was this page helpful?
⌘I